/*-*-linux-c-*-*/

/*
 *  gnewtellium - Newtella for Unix
 *  Copyright (C) 2001 Elias Athanasopoulos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef FILE_H
#define FILE_H

struct file_entry {
	char *name;
	char *path;
	guint32 index;
	guint32 size;
};

gint file_is_mp3(gchar *filename);
gint file_has_ending(gchar *filename);
gint file_build_db(gchar *path);
gint file_exclude_from_db(gchar *path);

guint32 file_get_size(gchar *file_name, gchar *path);

GList *file_extract_keywords(gchar *s);
GList *file_scan_db(gchar *key);

#endif




